l; charset=UTF-8
Last-Modified: Fri, 06 Mar 2026 21:51:47 GMT
Expires: Fri, 06 Mar 2026 22:06:47 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>__init__.py « qapi « scripts - bwlp/qemu.git - Experimental fork of QEMU with video encoding patches</title>
<meta name='generator' content='cgit v1.2.3-55-g7522'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit.css'/>
<script type='text/javascript' src='/cgit.js'></script>
<link rel='shortcut icon' href='/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.openslx.org/bwlp/qemu.git/atom/scripts/qapi/__init__.py?h=master' type='application/atom+xml'/>
<link rel='vcs-git' href='git://git.openslx.org/bwlp/qemu.git' title='bwlp/qemu.git Git repository'/>
<link rel='vcs-git' href='https://git.openslx.org/bwlp/qemu.git' title='bwlp/qemu.git Git repository'/>
<link rel='vcs-git' href='git@git.openslx.org:bwlp/qemu.git' title='bwlp/qemu.git Git repository'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/bwlp/qemu.git/'>bwlp/qemu.git</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='ab8f992e3e63e91be257e4e343d386dae7be4bcb'/><select name='h' onchange='this.form.submit();'>
<option value='block_qcow2_cluster_info'>block_qcow2_cluster_info</option>
<option value='master' selected='selected'>master</option>
<option value='spice_video_codecs'>spice_video_codecs</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Experimental fork of QEMU with video encoding patches</td><td class='sub right'>OpenSLX</td></tr></table>
<table class='tabs'><tr><td>
<a href='/bwlp/qemu.git/'>summary</a><a href='/bwlp/qemu.git/refs/?id=ab8f992e3e63e91be257e4e343d386dae7be4bcb'>refs</a><a href='/bwlp/qemu.git/log/scripts/qapi/__init__.py'>log</a><a class='active' href='/bwlp/qemu.git/tree/scripts/qapi/__init__.py?id=ab8f992e3e63e91be257e4e343d386dae7be4bcb'>tree</a><a href='/bwlp/qemu.git/commit/scripts/qapi/__init__.py?id=ab8f992e3e63e91be257e4e343d386dae7be4bcb'>commit</a><a href='/bwlp/qemu.git/diff/scripts/qapi/__init__.py?id=ab8f992e3e63e91be257e4e343d386dae7be4bcb'>diff</a><a href='/bwlp/qemu.git/stats/scripts/qapi/__init__.py'>stats</a></td><td class='form'><form class='right' method='get' action='/bwlp/qemu.git/log/scripts/qapi/__init__.py'>
<input type='hidden' name='id' value='ab8f992e3e63e91be257e4e343d386dae7be4bcb'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/bwlp/qemu.git/tree/?id=ab8f992e3e63e91be257e4e343d386dae7be4bcb'>root</a>/<a href='/bwlp/qemu.git/tree/scripts?id=ab8f992e3e63e91be257e4e343d386dae7be4bcb'>scripts</a>/<a href='/bwlp/qemu.git/tree/scripts/qapi?id=ab8f992e3e63e91be257e4e343d386dae7be4bcb'>qapi</a>/<a href='/bwlp/qemu.git/tree/scripts/qapi/__init__.py?id=ab8f992e3e63e91be257e4e343d386dae7be4bcb'>__init__.py</a></div><div class='content'>blob: e69de29bb2d1d6434b8b29ae775ad8c2e48c5391 (<a href='/bwlp/qemu.git/plain/scripts/qapi/__init__.py?id=ab8f992e3e63e91be257e4e343d386dae7be4bcb'>plain</a>) (<a href='/bwlp/qemu.git/blame/scripts/qapi/__init__.py?id=ab8f992e3e63e91be257e4e343d386dae7be4bcb'>blame</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre></pre></td>
<td class='lines'><pre><code>ules?id=1799e8bc192d1232f9daaa769c67604ca66cc4ec'>modules</a>/<a href='/openslx-ng/tm-scripts.git/tree/remote/modules/systemd?id=1799e8bc192d1232f9daaa769c67604ca66cc4ec'>systemd</a>/<a href='/openslx-ng/tm-scripts.git/tree/remote/modules/systemd/module.conf?id=1799e8bc192d1232f9daaa769c67604ca66cc4ec'>module.conf</a></div><div class='content'>blob: 1bc0165ef299830b3a45175a9e895f934f2ab897 (<a href='/openslx-ng/tm-scripts.git/plain/remote/modules/systemd/module.conf?id=1799e8bc192d1232f9daaa769c67604ca66cc4ec'>plain</a>) (<a href='/openslx-ng/tm-scripts.git/blame/remote/modules/systemd/module.conf?id=1799e8bc192d1232f9daaa769c67604ca66cc4ec'>blame</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
<a id='n54' href='#n54'>54</a>
<a id='n55' href='#n55'>55</a>
<a id='n56' href='#n56'>56</a>
<a id='n57' href='#n57'>57</a>
<a id='n58' href='#n58'>58</a>
<a id='n59' href='#n59'>59</a>
<a id='n60' href='#n60'>60</a>
<a id='n61' href='#n61'>61</a>
<a id='n62' href='#n62'>62</a>
<a id='n63' href='#n63'>63</a>
<a id='n64' href='#n64'>64</a>
<a id='n65' href='#n65'>65</a>
<a id='n66' href='#n66'>66</a>
</pre></td>
<td class='lines'><pre><code>REQUIRED_VERSION<span class="hl opt">=</span><span class="hl str">&quot;systemd-204&quot;</span>
REQUIRED_URL<span class="hl opt">=</span><span class="hl str">&quot;http://www.freedesktop.org/software/systemd/</span><span class="hl ipl">${REQUIRED_VERSION}</span><span class="hl str">.tar.xz&quot;</span>
REQUIRED_LIBKMOD_VERSION<span class="hl opt">=</span><span class="hl str">&quot;kmod-14&quot;</span>
REQUIRED_LIBKMOD_URL<span class="hl opt">=</span><span class="hl str">&quot;http://www.kernel.org/pub/linux/utils/kernel/kmod/</span><span class="hl ipl">${REQUIRED_LIBKMOD_VERSION}</span><span class="hl str">.tar.gz&quot;</span>
REQUIRED_BINARIES<span class="hl opt">=</span><span class="hl str">&quot;</span>
<span class="hl str">	journalctl</span>
<span class="hl str">	loginctl</span>
<span class="hl str">	systemctl</span>
<span class="hl str">	systemd-analyze</span>
<span class="hl str">	systemd-ask-password</span>
<span class="hl str">	systemd-cat</span>
<span class="hl str">	systemd-cgls</span>
<span class="hl str">	systemd-cgtop</span>
<span class="hl str">	systemd-delta</span>
<span class="hl str">	systemd-detect-virt</span>
<span class="hl str">	systemd-inhibit</span>
<span class="hl str">	systemd-machine-id-setup</span>
<span class="hl str">	systemd-notify</span>
<span class="hl str">	systemd-nspawn</span>
<span class="hl str">	systemd-stdio-bridge</span>
<span class="hl str">	systemd-tmpfiles</span>
<span class="hl str">	systemd-tty-ask-password-agent</span>
<span class="hl str">	udevadm</span>
<span class="hl str">	systemd</span>
<span class="hl str">	systemd-ac-power</span>
<span class="hl str">	systemd-binfmt</span>
<span class="hl str">	systemd-cgroups-agent</span>
<span class="hl str">	systemd-fsck</span>
<span class="hl str">	systemd-initctl</span>
<span class="hl str">	systemd-journald</span>
<span class="hl str">	systemd-logind</span>
<span class="hl str">	systemd-modules-load</span>
<span class="hl str">	systemd-multi-seat-x</span>
<span class="hl str">	systemd-random-seed</span>
<span class="hl str">	systemd-readahead</span>
<span class="hl str">	systemd-remount-fs</span>
<span class="hl str">	systemd-reply-password</span>
<span class="hl str">	systemd-shutdown</span>
<span class="hl str">	systemd-shutdownd</span>
<span class="hl str">	systemd-sleep</span>
<span class="hl str">	systemd-sysctl</span>
<span class="hl str">	systemd-timestamp</span>
<span class="hl str">	systemd-udevd</span>
<span class="hl str">	systemd-update-utmp</span>
<span class="hl str">	systemd-user-sessions</span>
<span class="hl str">	systemd-vconsole-setup</span>
<span class="hl str">	systemd-fstab-generator</span>
<span class="hl str">	systemd-getty-generator</span>
<span class="hl str">	systemd-rc-local-generator</span>
<span class="hl str">	systemd-system-update-generator</span>
<span class="hl str">	accelerometer</span>
<span class="hl str">	ata_id</span>
<span class="hl str">	cdrom_id</span>
<span class="hl str">	collect</span>
<span class="hl str">	mtd_probe</span>
<span class="hl str">	scsi_id</span>
<span class="hl str">	v4l_id&quot;</span>
REQUIRED_DIRECTORIES<span class="hl opt">=</span><span class="hl str">&quot;</span>
<span class="hl str"></span>	<span class="hl ipl">$SYS_PAM_MODULES_PATH</span>
<span class="hl str">	/etc</span>
<span class="hl str">	/usr/include</span>
<span class="hl str">	/usr/share/dbus-1</span>
<span class="hl str">	/usr/share/polkit-1</span>
<span class="hl str">	/usr/lib/udev</span>
<span class="hl str">	/usr/lib/tmpfiles.d</span>
<span class="hl str">&quot;</span>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3-55-g7522</a> (<a href='https://git-scm.com/'>git 2.39.0</a>) at 2026-03-06 22:51:47 +0100</div>
</div> <!-- id=cgit -->
</body>
</html>
